Subject: [ippm] TWAMP YANG model draft

From: Mahesh Jethanandani <[email-masked]>
Date: Sun, 4 Oct 2015 12:54:18 -0700

This draft got posted on the ippm mailing list but has got few reads, possibly because of lack of YANG experts on that list. Cross posting it here to see if more YANG experts could review the document/YANG model.

The draft is well written (I know I am biased), with both a UML information model, complete with descriptions and a corresponding data model, also with a complete set of descriptions. Because of that the number of pages look bigger than usual, but one can choose to read the description in either the UML version or the YANG version.

Thanks.

> Begin forwarded message:
> 
> A new version of I-D, draft-cmzrjp-ippm-twamp-yang-01.txt
> has been successfully submitted by Kostas Pentikousis and posted to the
> IETF repository.
> 
> Name:		draft-cmzrjp-ippm-twamp-yang
> Revision:	00
> Title:		Two-Way Active Measurement Protocol (TWAMP) Data Model
> Document date:	2015-07-03
> Group:		Individual Submission
> Pages:		56
> URL:            https://tools.ietf.org/id/draft-cmzrjp-ippm-twamp-yang-01.txt <https://tools.ietf.org/id/draft-cmzrjp-ippm-twamp-yang-01.txt>Status:         https://datatracker.ietf.org/doc/draft-cmzrjp-ippm-twamp-yang/ <https://datatracker.ietf.org/doc/draft-cmzrjp-ippm-twamp-yang/>Htmlized:       https://tools.ietf.org/html/draft-cmzrjp-ippm-twamp-yang-01 <https://tools.ietf.org/html/draft-cmzrjp-ippm-twamp-yang-01>
> 
> Abstract:
>   This document specifies a data model for client and server
>   implementations of the Two-Way Active Measurement Protocol (TWAMP).
>   We define the TWAMP data model through Unified Modeling Language
>   (UML) class diagrams and formally specify it using YANG.
> 
> 
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> The IETF Secretariat
> 

Mahesh Jethanandani
[email-masked]